#ifndef _GLADESRC_H_
#define _GLADESRC_H_

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>

#include <gtk/gtk.h>
#include "xpm.h"
#include "struc.h"
#include "folder.h"

extern  GtkWidget *servertree;
extern  GtkWidget *ent_smtp;
extern  GtkWidget *ent_webb;
extern  GtkWidget *chk_autoweb;
extern  GtkWidget *chk_leave;
extern  GtkWidget *chk_trash;
extern  GtkWidget *ent_password;
extern  GtkWidget *ent_username;
extern  GtkWidget *ent_pop3server;
extern  GtkWidget *ent_org;
extern  GtkWidget *ent_fullname;
extern  GtkWidget *ent_replyto;
extern  GtkWidget *ent_mail;
extern  GtkWidget *combo_acct;
extern  GtkWidget *menuitem[6];
extern  GtkWidget *opt_foldertype;
extern  GtkWidget *opt_foldertype_menu;
extern  GtkWidget *combo_folder;
extern  GtkWidget *ent_folderfile;
extern  GtkWidget *ent_filter;
extern  GtkWidget *clist;
extern  GtkWidget *statusbar;
extern  guint statusbar_id;

extern  GtkWidget *msgtext;
extern  GtkWidget *msgstatusbar;
extern  GtkWidget *ent_msgto;
extern  GtkWidget *ent_msgfrom;
extern  GtkWidget *ent_msgdate;
extern  GtkWidget *ent_msgsubj;
extern  GtkWidget *opt_msgparts;
extern  GtkWidget *opt_msgparts_menu;

extern  GtkWidget *cpy_win;
extern  GtkWidget *cpy_ent_src;
extern  GtkWidget *cpy_ent_s;
extern  GtkWidget *cpy_ent_e;
extern  GtkWidget *cpy_opt_acc;
extern  GtkWidget *cpy_opt_acc_menu;
extern  GtkWidget *cpy_opt_fld;
extern  GtkWidget *cpy_opt_fld_menu;
extern  int cpy_acc, cpy_fld;

extern  GSList *radio_group;
extern  GtkWidget *cfg_radio[3];
extern  int cfg_radio_sel;
extern  int autoweb_tmp;

extern  int acur;
extern  int afol;
  
extern  int fol_norep;
extern  int acc_norep;
  
void debugmsg(char *a);
void my_set_usize(GtkWidget *w, gint x, gint y);
GtkWidget *xpm_label_box(GtkWidget *parent, gchar *xpm[], gchar *label_text);
gint delete_event(GtkWidget *widget, GdkEvent *event, gpointer data);
gint dont_delete_event(GtkWidget *widget, GdkEvent *event, gpointer data);
void DoToolTips(GtkWidget *widget, char *desc);
void PushStatusbar(char *desc);
void PopStatusbar();
void DoStatusbar(GtkWidget *widget, GdkEvent *event, gpointer data);
void UndoStatusbar(GtkWidget *widget, GdkEvent *event, gpointer data);
void PrepStatusbar(GtkWidget *widget, char *desc);
void toggle_button_callback (GtkWidget *widget, gpointer data);
void autoweb_toggle_button_callback (GtkWidget *widget, gpointer data);
void Update_Combo(accstruc acs[], int acb);
void Update_FolderCombo(folderstruc folders[], int fnum);
void Update_FolderStatus();
void FolderCombo_change(GtkWidget *widget, gpointer data);
void Update_Config(int a);
void Combo_change(GtkWidget *widget, gpointer data);
void Folder_Filter(GtkWidget *widget, GdkEvent *event, gpointer data);
void Folder_File(GtkWidget *widget, GdkEvent *event, gpointer data);
void Folder_Option_Change(GtkWidget *widget, gpointer data);
void destroy (GtkWidget *widget, gpointer data);
GtkWidget* get_widget (GtkWidget *widget, gchar *widget_name);
void Open_Config(GtkWidget *widget, gpointer data);
void Servertree_select (GtkWidget *root_tree, GtkWidget *child, GtkWidget *subtree);
void Prepare_ServerTree(GtkWidget *w);
void Record_First_Page();
void Record_Second_Page();
void RecSecond(GtkWidget *widget, GdkEvent *event, gpointer data);
void Close_Config(GtkWidget *widget, gpointer data);
void Ok_Close_Config(GtkWidget *widget, gpointer data);
void Save_Close_Config(GtkWidget *widget, gpointer data);
void Update_clist();
void view_with_browser();
int save_quoted_printable();
void msgopt_change(GtkWidget *widget, gpointer data);
void clist_select(GtkWidget *clist,gint row,gint column,GdkEventButton *event,gpointer data);
void msgmenu_decode_filesel_ok(GtkWidget *w, GtkFileSelection *fs);
void msgmenu_export_filesel_ok(GtkWidget *w, GtkFileSelection *fs);
void cpymove_do(GtkWidget *widget, gpointer data);
void cpy_opt_fld_change(GtkWidget *widget, gpointer data);
void cpy_opt_acc_change(GtkWidget *widget, gpointer data);
void msgmenu_func(GtkWidget *widget, gpointer data);
void Servertree_select (GtkWidget *root_tree, GtkWidget *child, GtkWidget *subtree);
void new_account(GtkWidget *widget, gpointer data);
void del_account(GtkWidget *widget, gpointer data);
void new_folder(GtkWidget *widget, gpointer data);
void del_folder(GtkWidget *widget, gpointer data);
GtkWidget* create_main ();
GtkWidget* create_config ();
void hidemsgwin();
GtkWidget* create_msgwin ();
GtkWidget* create_aboutwin ();
GtkWidget* create_cpy_win (int ismove);

#endif
