#include "i18n.h"
#include <gtk/gtk.h>
#include "struc.h"

GtkWidget *config;
GtkWidget *msgwin;
GtkWidget *aboutwin;
GtkWidget *mainwin;

int butpixmaps=1;
int butlabels=1;

#include "gladesrc.h"

int main (int argc, char *argv[]) {

#ifdef I18N
//  setlocale (LC_MESSAGES, "");
  setlocale (LC_MESSAGES, LOC);
  bindtextdomain ("sandmail", LOCALEDIR);
  textdomain ("sandmail");
#endif

  gtk_set_locale();
  gtk_init(&argc, &argv);

  readconfig();

  if (icons==0)	{ butpixmaps=1;	butlabels=0; }
  if (icons==1)	{ butpixmaps=0;	butlabels=1; }
  if (icons==2)	{ butpixmaps=1;	butlabels=1; }

  config=create_config();
  mainwin=create_main();
  
  msgwin=create_msgwin(); /* because creating a msgwin (one with pixmaps) is
                             VERY slow, we create one and show/hide it in the
							 rest of the program (only re-created when user
							 changes icons' layout)
						  */

  gtk_widget_show(mainwin);

  gtk_main();
  return(0);
}
