#ifndef _STRUC_H_
#define _STRUC_H_

#include <stdio.h>
#include <gtk/gtk.h>

typedef struct folderstruc {
 char name[50];
 unsigned int status;
 char filter[50]; 
 char file[50];
 GtkWidget *tree;
 } folderstruc;

typedef struct accstruc {
 char accname[50];
 char username[50];
 char password[50];
 char mailserver[50];
 char mailaddress[50];
 char replytoaddress[50];
 char fullname[50];
 char org[50];
 int leaveonserver;
 int movetotrash;
 
 unsigned int folders;
 folderstruc foldata[16];

 GtkWidget *tree;
 } accstruc;

extern int accounts, accountsbuf;
extern accstruc accdata[16],accbuf[16];

extern char smtpserver[50];
extern char webbrowser[50];
extern int autoweb;
extern int icons;

void cpyaccs(accstruc s[], int *sn, accstruc d[], int *dn);
void readl(FILE *f, char line[]);
void readconfig();
void writeconfig();

#endif
